//menu

$(document).ready(function(){
var num=$('#caseli li').length;

$('.case_t').css('z-index','9999');
function caseli(){
	for(var i=0;i<num;i++){
		var x=i*3-1;
		$('#caseli li').eq(x).css('margin-right','0');
		}
}
caseli();
//menu
$('.nav').hide();
$('.menu li').mouseover(function(){
	$(this).find('.cur').removeClass('cur');
	$(this).find('.nav').slideDown();
	$(this).children('a').addClass('cur');
	});
$('.menu li').mouseleave(function(){
	$(this).find('.nav').slideUp();
	$(this).children('a').removeClass('cur');
	});

//banner
var p=1;
var banner=$('#ul01');
var w=Math.round(($("#ul01 li").width()/$(document).width())*100);
var isIE=!!window.ActiveXObject;
var isIE6=isIE&&!window.XMLHttpRequest;
if (isIE){
if (isIE6){
w=w+1;
}
}

var bannernum=$('#ul01 li').length;
banner.width();
var newW=bannernum*100+'%';
$('#ul01').css('width',newW);
var liW=(100/bannernum)+'%';
$('#ul01 li').css('width',liW);

$('#left').bind('click',leftbut);
$('#right').bind('click',rightbut);
//index;
function leftbut(){
	if( !banner.is(":animated") ){
		if(p==1){
			$('.slider a:first').addClass('end');
		}else{
			$('.slider a:last').removeClass('end');
			banner.animate({ 'margin-left' : '+='+w+'%' }, "slow");
			p--;
		}
	}
}
function rightbut(){
	if( !banner.is(":animated") ){
		if(p == bannernum){
			$('.slider a:last').addClass('end');
		}else{
			$('.slider a:first').removeClass('end');
			banner.animate({ 'margin-left' : '-='+w+'%' }, "slow");
			p++;
		}
	}
}
//case
var page=1;
var i=3;
var box=$('#caseli ul');
var n=$('#caseli li').length;
var h=$('#caseli li').height()+10;
var pagetotal=Math.ceil(n/i);
$('#upwards').bind('click',upwardsfn);
$('#down').bind('click',downfn);
function upwardsfn(){
	if( !box.is(":animated") ){
		if(page==1){
			box.animate({ marginTop : '-='+h*(pagetotal-1) }, "slow"); 
			page = pagetotal;
		}else{
			box.animate({ marginTop : '+='+h }, "slow");
			page--;
		}
	}
}
function downfn(){
	if( !box.is(":animated") ){
		if(page == pagetotal){
			box.animate({ marginTop : '0px'}, "slow"); 
			page = 1;
		}else{
			box.animate({ marginTop : '-='+h }, "slow");
			page++;
		}
	}
}

		 

  });
